Subject: Re: bug#42291: data service: Show list of files and allow qeuerying

From: zimoun <[email-masked]>
Date: Thu, 09 Jul 2020 11:25:05 +0200

Dear,

+Pierre because I am not sure he reads carefully debuugs. ;-)

On Thu, 09 Jul 2020 at 10:13, Hartmut Goebel <[email-masked]> wrote:
> Serverity: wishlist
> I often find myself checking the content of a package. For this I
> would like to be able to inspect the list of files in a package, or
> even query for a specific file.

Pierre proposed "guix filesearch" some time ago.

https://lists.gnu.org/archive/html/guix-devel/2019-03/msg00236.html

> This is much like Debian does in "list of files" for each package (e.g. <https://packages.debian.org/en/buster/amd64/ejabberd-mod-cron/filelist>) and with "Search the contents of packages" <https://www.debian.org/distrib/packages#search_contents>

Yes, it could be nice to have that in the Data Service.

All the best,
simon